Skip to main content
cURL

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your workspace API key. See Find your API key for more information.

Path Parameters

inferencePipelineId
string<uuid>
required

The inference pipeline id (a UUID).

Body

application/json
inferenceIds
string[]
required

Inference IDs to delete. Maximum of 500 per request.

Required array length: 1 - 500 elements

Response

Accepted. The records are tombstoned and the purge is enqueued. Also returned when re-submitting records that are already tombstoned but not yet purged.

inferenceIds
string[]
required

The inference IDs accepted for deletion.

recordCount
integer
required

Number of records that resolved and will be removed.

spanCount
integer | null

Number of spans that will be removed. Null on data sources that delete synchronously, which have no span table.

taskResultUrl
string | null

URL to poll for purge status. Null on data sources that delete synchronously, where the deletion is already complete.

taskResultId
string | null

ID of the background purge task. Null on data sources that delete synchronously, where the deletion is already complete.